package com.realnet.configmanager.Services;
import com.realnet.configmanager.Repository.ConfigmanagerRepository;
import com.realnet.configmanager.Entity.Configmanager
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class ConfigmanagerService {
@Autowired
private ConfigmanagerRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Configmanager Savedata(Configmanager data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Configmanager save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Configmanager> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Configmanager> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Configmanager> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Configmanager getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Configmanager update(Configmanager data,Integer id) {
	Configmanager old = Repository.findById(id).get();
old.setConfigname(data.getConfigname());

old.setJsoncontent(data.getJsoncontent());

old.setLastupdated(data.getLastupdated());

final Configmanager test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
